List shipments eligible for a scan form or firm book

Returns shipments within the date range that are eligible to be included in a scan form (USPS) or firm book (FedEx). Pass formType as 0 for ScanForm or 1 for FirmBook.

Path parameters

clientidintegerRequired

client id (integer)

formTypeenumRequired

Form type. 0 = ScanForm, 1 = FirmBook

Allowed values:
startDatedatetimeRequired

start date (DateTime)

endDatedatetimeRequired

end date (DateTime)

Headers

AuthorizationstringRequired

EX: “Basic dXNlcm5hbWU6cGFzc3dvcmQ=”

API_KEYstringRequired

EX: “B30BBEC3-8086-49B6-9893-2FCD31FA2BBF”

Response

Returned if there are no http errors.
Shipmentobject
class for passing in all requirements to quote or buy a shipment
ShipmentStatusenum

Indicates whether a shipment has been SAVED = 0, or CREATED = 1 SAVED=0; CREATED=1;

Statusenum

Was the request for this shipment successful, you will general see SUCCESS or FAILURE, NOTE and WARNING are rarely used. FAILURE = 0, SUCCESS = 1, WARNING = 2, NOTE = 3 FAILURE=0; SUCCESS=1; WARNING=2; NOTE=3;

StatusMessageslist of strings
Message should be expected if Status is FAILURE
Errorlist of objects
Error will be empty or NULL if no error was encountered
Rateslist of objects
List of rates returned for a quote or purchase
Purchaseobject
ForbiddenWordslist of objects
If forbidden words were found on a shipment they will be returned here
IsPendingboolean
Used to prevent duplicate shipments and send friendly info to caller.

Errors

400
Bad Request Error